[FFmpeg-cvslog] tools/merge-all-source-plugins: Try merging a tag or branch matching the current version

Michael Niedermayer git at videolan.org
Thu May 15 18:46:36 EEST 2025


ffmpeg | branch: master | Michael Niedermayer <michael at niedermayer.cc> | Thu May 15 14:53:17 2025 +0200| [a06b86a09b23c4efc61653f2d526e1d8a803eef2] | committer: Michael Niedermayer

tools/merge-all-source-plugins: Try merging a tag or branch matching the current version

Signed-off-by: Michael Niedermayer <michael at niedermayer.cc>

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=a06b86a09b23c4efc61653f2d526e1d8a803eef2
---

 tools/merge-all-source-plugins | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

diff --git a/tools/merge-all-source-plugins b/tools/merge-all-source-plugins
old mode 100644
new mode 100755
index 20764a0773..4dbfa89872
--- a/tools/merge-all-source-plugins
+++ b/tools/merge-all-source-plugins
@@ -1,3 +1,27 @@
 #!/bin/sh
 
-git pull --no-rebase --log --stat --commit --no-edit  https://github.com/michaelni/FFmpeg.git sourceplugin-libpostproc
+#If a version is set then we only try merging a source plugin with matching version as a generic one could change the ABI to master HEAD
+merge_internal(){ # $1=repository, $2=refspec
+    [ -n "$version" ] && git pull --no-rebase --log --stat --commit --no-edit  $1 sourceplugin-$2-$version
+    [ -z "$version" ] && git pull --no-rebase --log --stat --commit --no-edit  $1 sourceplugin-$2
+}
+
+unset suceeded failed version
+
+merge(){ # $1=repository, $2=refspec
+    merge_internal "$1" "$2" || {
+        git reset --hard
+        echo merge of $1 $2 failed, continuing with other plugins
+        failed="$failed $2"
+        return 0
+    }
+    suceeded="$suceeded $2"
+}
+
+#version="12.34"
+
+merge "https://github.com/michaelni/FFmpeg.git" "libpostproc"
+
+[ -n "$version"  ] && echo version: $version
+[ -n "$suceeded" ] && echo Succeeded merging: $suceeded
+[ -n "$failed"   ] && echo Failed merging: $failed



More information about the ffmpeg-cvslog mailing list